Skip to main content

Variable: SetupAnswersRequest

const SetupAnswersRequest: TObject<{ answers: TObject<{ anchor: TOptional<TObject<{ contacts: TOptional<TArray<TString>>; displayName: TString; disputeRoute: TOptional<TString>; frameworkDocument: TOptional<TUnion<[TString, TObject<...>, TObject<...>]>>; slug: TString; }>>; deployment: TOptional<TObject<{ airGapped: TOptional<TBoolean>; domain: TString; name: TString; }>>; governance: TOptional<TObject<{ fourEyes: TOptional<TBoolean>; statementLifetimes: TOptional<TObject<{ anchorConfigurationSeconds: TOptional<...>; entityConfigurationSeconds: TOptional<...>; subordinateStatementSeconds: TOptional<...>; }>>; }>>; governingAccount: TOptional<TObject<{ displayName: TString; email: TString; }>>; identifiers: TOptional<TObject<{ anchor: TOptional<TBoolean>; anchorMethod: TOptional<TLiteral<"webvh">>; methods: TOptional<TWith<TArray<TUnsafe<...>>, { default: readonly [...]; }>>; registries: TOptional<TArray<TUnsafe<"centralized">>>; }>>; identityProvider: TOptional<TObject<{ adminCredential: TString; invitationLinkHours: TOptional<TInteger>; kind: TUnion<[TLiteral<"keycloak">, TLiteral<"wso2">]>; mail: TOptional<TObject<{ from: TString; fromName: TOptional<...>; smtp: TString; }>>; mode: TUnion<[TLiteral<"bundled">, TLiteral<"customer-run">, TLiteral<"bring-your-own">]>; publicClients: TOptional<TArray<TObject<{ clientId: ...; offlineAccess: ...; realm: ...; redirectUris: ...; webOrigins: ...; }>>>; realms: TObject<{ holders: TOptional<TString>; staff: TString; }>; tenantDomains: TOptional<TRecord<"^.*$", TString>>; testRecipients: TOptional<TArray<TObject<{ channel: ...; code: ...; realm: ...; recipient: ...; }>>>; }>>; keyStore: TOptional<TObject<{ expectedManufacturer: TOptional<TString>; expectedModel: TOptional<TString>; }>>; machineClients: TOptional<TArray<TObject<{ actsFor: TString; bundle: TOptional<TString>; clientId: TString; secret: TString; }>>>; organizations: TOptional<TArray<TObject<{ displayName: TString; path: TString; }>>>; rootAccount: TOptional<TObject<{ bundle: TOptional<TString>; displayName: TString; email: TString; }>>; }>; }>

Defined in: packages/contracts/src/setup-api.ts:387

PUT /setup/api/steps/:id/answers request: the sections the step's screen collected. Stored as a new configuration version with source wizard when they differ from what is stored. Every secret field in it is a SecretRef.